Subject: bug#44327: `guix install` doesn't warn about collison in profile

From: zimoun <[email-masked]>
Date: Fri, 30 Oct 2020 17:15:27 +0100

Dear,

Thank you for the report.

On Fri, 30 Oct 2020 at 19:17, Zhu Zihao <[email-masked]> wrote:
> In commit ba60bbd4370570ff03a16c63af051be06f22658e. Try command
>
>   guix install emacs && guix install emacs-xwidgets

I do not know if this is really a collision since it is sequential.
Well, I agree that a warning message should be displayed.

However, note that,

        $ guix time-machine --commit=ba60bbd4 \
               -- install emacs emacs-xwidgets -p /tmp/foo
        $ guix time-machine --commit=ba60bbd4 \
               -- install emacs-xwidgets emacs -p /tmp/bar

        readlink -f /tmp/{foo,bar}/bin/emacs
        /gnu/store/xy38cgnr21j2jsb5mnn9cf91d6q67as2-emacs-xwidgets-27.1/bin/emacs-27.1
        /gnu/store/1zwmmfy1d213mrqixl36ckbzghkpqdmf-emacs-27.1/bin/emacs

which is a bug.  AFAIU.  Same with “guix package -i”.

> I also suggest to raise an error when conflict detected during building
> profile to force user to resolve it.

It should be already the case. :-)

All the best,
simon